#pragma once
class CAdvantechCommon_ACM
{
public:
    CAdvantechCommon_ACM(UINT_PTR hDev, long lSlaveID, long lPointNo);
    ~CAdvantechCommon_ACM(void);

    int InitCard(int nTypeCardNo);

    int CloseCard(int nPhysicalCardID);

    bool ReadVoltage(int nRange, double& dVoltage);

    bool ReadInput(unsigned short& usState);

    bool WriteOutputBit(bool bState);

    bool WriteVoltage(double dVoltage);

private:
    UINT_PTR m_hDev;        // for CInput & COutput class
    long m_lSlaveID;        // only used for CInput class
    long m_lPointNo;        // only used for CInput class
};
